!
! An example of how to call put_array to use Fortran arrays
! with the Python Numeric package.
!

subroutine get_arrays(dict)
  integer :: dict
  integer, save :: A(10), B(3,4), C(2,3,4)
  integer :: i, j, k, ii, rank, shape(7)
  external put_array

  ! integer, i = 105, long, l = 108, float, f = 102, double, d = 100
  integer, parameter :: type = 105

  A = 33

  ii = 1
  do i = 1, 3
    do j = 1, 4
      B(i,j) = ii
      ii = ii + 1
    end do
  end do

  ii = 1
  do i = 1, 2
    do j = 1, 3
      do k = 1, 4
        C(i,j,k) = ii
        ii = ii + 1
      end do
    end do
  end do

  rank = 1
  shape = 10
  call put_array(dict, "A", A, rank, shape, type)

  rank = 2
  shape(1) = 3
  shape(2) = 4
  call put_array(dict, "B", B, rank, shape, type)

  rank = 3
  shape(1) = 2
  shape(2) = 3
  shape(3) = 4
  call put_array(dict, "C", C, rank, shape, type)

end subroutine get_arrays
