module m_pointers

type data
  integer :: ibegin
  integer, pointer :: a(:)
  integer :: iend
end type data

type data_wrapper
  integer :: ibegin
  type(data), pointer :: p_data
  integer :: iend
end type data_wrapper

end module m_pointers

subroutine setTypeInfo(wrapper)
  use m_pointers
  type(data_wrapper), intent(out) :: wrapper
  type(data), allocatable, target :: dat(:)
  integer, allocatable, target :: a(:)

  allocate(a(10))
  allocate(dat(1))
  wrapper%p_data => dat(1)
  wrapper%p_data%a => a
  wrapper%ibegin        = 333331
  wrapper%iend          = 333332
  wrapper%p_data%ibegin = 333333
  wrapper%p_data%iend   = 333334

  do i = 1, 10
    a(i) = i
  end do

  if (i .eq. 0) then
    print *, "Should not arrive here, need print for GNU symbols"
  end if

end subroutine setTypeInfo
