!
! LANL:license
! -------------------------------------------------------------------------
! This SOFTWARE has been authored by an employee or employees of the
! University of California, operator of the Los Alamos National Laboratory
! under Contract No. W-7405-ENG-36 with the U.S. Department of Energy.
! The U.S. Government has rights to use, reproduce, and distribute this
! SOFTWARE.  The public may copy, distribute, prepare derivative works and
! publicly display this SOFTWARE without charge, provided that this Notice
! and any statement of authorship are reproduced on all copies.  Neither
! the Government nor the University makes any warranty, express or implied,
! or assumes any liability or responsibility for the use of this SOFTWARE.
! If SOFTWARE is modified to produce derivative works, such modified
! SOFTWARE should be clearly marked, so as not to confuse it with the
! version available from LANL.
! -------------------------------------------------------------------------
! LANL:license
! -------------------------------------------------------------------------
!

!
! this code is a set of F90 example subroutines and functions intended to
! test the XML generator for proper type generation.
!

module module1
  type custom_type1
     integer :: a
     real :: b
     integer, dimension(14) :: c_array
     complex :: d
  end type custom_type1

contains

  subroutine routine1(x,y)
    type(custom_type1), intent(in) :: x
    character, dimension(80), intent(out) :: y
   
    print *, 'Routine 1.'
    print *, x%a
  end subroutine routine1

  function routine2(x)
    real :: routine2
    complex :: x

    routine2 = 42.0
  end function routine2

end module module1
